OpenJPEG 2.3.0

Data Structures | Typedefs | Functions
function_list.h File Reference

Implementation of a list of procedures. More...

Go to the source code of this file.

## Data Structures
struct | opj_procedure_list
| A list of procedures. More...

## Typedefs
typedef void(* | opj_procedure) (void)
| declare a function pointer More...
typedef struct opj_procedure_list | opj_procedure_list_t
| A list of procedures. More...

## Functions
opj_procedure_list_t * | opj_procedure_list_create (void)
| Creates a validation list. More...
void | opj_procedure_list_destroy (opj_procedure_list_t *p_list)
| Destroys a validation list. More...
OPJ_BOOL | opj_procedure_list_add_procedure (opj_procedure_list_t *p_validation_list, opj_procedure p_procedure, opj_event_mgr_t *p_manager)
| Adds a new validation procedure. More...
OPJ_UINT32 | opj_procedure_list_get_nb_procedures (opj_procedure_list_t *p_validation_list)
| Gets the number of validation procedures. More...
opj_procedure * | opj_procedure_list_get_first_procedure (opj_procedure_list_t *p_validation_list)
| Gets the pointer on the first validation procedure. More...
void | opj_procedure_list_clear (opj_procedure_list_t *p_validation_list)
| Clears the list of validation procedures. More...

## Detailed Description

Implementation of a list of procedures.

The functions in validation.c aims to have access to a list of procedures.